ScrepyDocs

Compare two to five projects

Uses the latest completed crawl by default, or a selected completed crawl for each supplied selection.

POST/comparisons/projects

Uses the latest completed crawl by default, or a selected completed crawl for each supplied selection.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/comparisons/projects" \  -H "Content-Type: application/json" \  -d '{    "project_uids": [      "string",      "string"    ]  }'
{  "data": {    "projects": [      {        "project": {          "uid": "string",          "name": "string",          "domain": "string"        },        "crawl": {          "crawl_uid": "string",          "status": "string",          "state": "string",          "status_label": "string",          "started_at": "2019-08-24T14:15:22Z",          "finished_at": "2019-08-24T14:15:22Z",          "last_synced_at": "2019-08-24T14:15:22Z",          "progress": {            "pages_crawled": 0,            "pages_total": 0,            "max_pages": 0,            "current_depth": 0          },          "health": {            "score": 0,            "confidence": 0,            "coverage": 0          },          "issues": {            "critical": 0,            "warnings": 0,            "notices": 0,            "total": 0          },          "totals": {            "pages": 0,            "indexable_pages": 0,            "noindex_pages": 0,            "links": 0,            "images": 0,            "unique_urls": 0          }        }      }    ]  }}